# Function getSigner

- getSigner(
  ...args: [null | Session ],
  ): NonNullable<null | Nip07Signer | Nip01Signer | Nip46Signer | Nip55Signer >

- #### Parameters

  - ...args: [null | Session ]

  #### Returns NonNullable<null | Nip07Signer | Nip01Signer | Nip46Signer | Nip55Signer >

  - Defined in packages/app/src/session.ts:76

#####
Index

### Properties

cache
getKey
getValue

##
Properties

### cache

cache: LRUCache <
string,
null
| Nip07Signer
| Nip01Signer
| Nip46Signer
| Nip55Signer ,
>

- Defined in packages/lib/build/src/LRUCache.d.ts:16

### getKey

getKey: (args: [null | Session ]) => string

- Defined in packages/lib/build/src/LRUCache.d.ts:17

### getValue

getValue: (
args: [null | Session ],
) => null | Nip07Signer | Nip01Signer | Nip46Signer | Nip55Signer

- Defined in packages/lib/build/src/LRUCache.d.ts:18